/*  BoxMooV_texture.h																			
 *	
 *	Rick Evans													
 *	Robert Dierkes																				
 *	(c)1994-96 Apple Computer Inc., All Rights Reserved								
 *	
*/
#ifndef _TEXTURE_H_
#define _TEXTURE_H_

#include <QDOffscreen.h>
#include <Movies.h>

#include "QD3D.h"
#include "QD3DGroup.h"
#include "QD3DStorage.h"

/*----------------------*/
/*	Type Declarations	*/
/*----------------------*/

struct _AnimTxt {
	TQ3StoragePixmap	fStoragePixmap;		/*	The QD3D Pixmap	*/

	GWorldPtr			fpGWorld;			/*	The Offscreen Buffer	*/

	Movie				fMovie;				/*	The Movie source	*/

	int					resolution;			/*	the height and width of the pict	*/
};

typedef struct _AnimTxt TAnimatedTexture, *TAnimatedTexturePtr, **TAnimatedTextureHdl;

/*--------------*/
/*	Prototypes	*/
/*--------------*/

TAnimatedTextureHdl	Texture_New(void);
Boolean				Texture_Delete(TAnimatedTextureHdl	theTexture);
int					Texture_GetResolution(TAnimatedTextureHdl	theTexture);
TQ3Status			Texture_AddToGroup(TAnimatedTextureHdl	theTexture, TQ3GroupObject	theGroup) ;
Boolean				Texture_NextFrame(TAnimatedTextureHdl pAnimTxtr);

#endif
