/******************************************************************************
 **																			 **
 ** 	Module:		document.h												 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	To manage a Document 									 **
 ** 																		 **
 ** 																		 **
 ** 	Author:		Michael Bishop											 **
 ** 				Nick Thompson											 **
 ** 				Robert Dierkes											 **
 ** 																		 **
 ** 	Copyright (C) 1996-1997 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
 
#ifndef _BP_DOCUMENT_H_
#define	_BP_DOCUMENT_H_

#include	<QuickDraw.h>

#include	"QD3D.h"

#include	"BoxPaint_texture.h"


/******************************************************************************
 **																			 **
 **								Structures									 **
 **																			 **
 *****************************************************************************/

typedef struct _documentRecord	DocumentRec,
								*DocumentPtr,
								**DocumentHdl ;



/******************************************************************************
 **																			 **
 **								PUBLIC ROUTINES								 **
 **																			 **
 *****************************************************************************/

DocumentHdl	Document_New(
				void);
	
void		Document_Dispose(
				DocumentHdl	theDocument);

DocumentHdl	Document_GetReference(
				DocumentHdl	theDocument);
				
TextureHdl	Document_GetTexture(
				DocumentHdl	theDocument);

TQ3CameraObject	Document_GetCamera(
				DocumentHdl	theDocument);

TQ3Status	Document_GetRendererPreferences(
				DocumentHdl	theDocument,
				long		*theVendorID,
				long		*theEngineID);
	
TQ3Status	Document_SetRendererPreferences(
				DocumentHdl	theDocument,
				long		theVendorID,
				long		theEngineID);

TQ3Status	Document_Open(
				DocumentHdl	theDocument);
	
TQ3Status	Document_Save(
				DocumentHdl	theDocument);
	
TQ3Status	Document_Draw(
				DocumentPtr theDocument);
	
TQ3Status	Document_Remap(
				DocumentHdl theDocument,
				long		newResolution);
	
TQ3Status	Document_SubmitScene(
				DocumentPtr	theDocument);
	
void		Document_Rotate(
				DocumentHdl	theDocument);
	
TQ3Status	Document_DrawOnTexture(
				DocumentHdl	theDocument);
	
void		Document_Idle(
				DocumentHdl	theDocument);
				
#endif