/*  BoxPaint_documentStructure.h																			

	This contains all the document-specific code.
																					
	Michael Bishop - August 21 1996													
	(c)1994-96 Apple Computer Inc., All Rights Reserved								

*/

#ifndef _BP_DOCUMENTSTRUCTURE_H_
#define _BP_DOCUMENTSTRUCTURE_H_

#include	<QuickDraw.h>

#include	"QD3D.h"

#include	"BoxPaint_cursor3d.h"
#include	"BoxPaint_texture.h"

struct _documentRecord {

	long			fReferenceCount;		/*	reference count	*/

	TQ3ViewObject	fView ;					/*  the view for the scene */
	TQ3GroupObject	fModel ;				/*  object in the scene being modelled */
	TQ3StyleObject	fInterpolation ;		/*  interpolation style used when rendering */
	TQ3StyleObject	fBackFacing ;			/*  whether to draw shapes that face away from the camera */
	TQ3StyleObject	fFillStyle ;			/*  whether drawn as solid filled object or decomposed to components */
	TQ3Matrix4x4	fRotation;				/*  the transform for the model */
	
	TextureHdl		fTexture;				/*	The paintable texture	*/
	
	Cursor3DHdl		fCursor3D;				/*	The Cursor in Mindblowing 3D!!	*/

	WindowPtr		fWindow ;				/*	the window associated with this document */
	
#ifdef	STEREO

	WindowPtr		fWindow_Left ;			/*	Left Eye	*/
	WindowPtr		fWindow_Right ;			/*	Right Eye	*/

#endif	/*	STEREO	*/
		
} ;


#endif
