/******************************************************************************
 **																			 **
 ** 	Module:		BoxPaint_texture.h										 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	Code for a editable texture.							 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1996-1997 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef _BP_TEXTURE_H_
#define _BP_TEXTURE_H_

#if PRAGMA_ONCE
	#pragma once
#endif

#include	<QuickDraw.h>

#include "QD3D.h"
#include "QD3DGroup.h"
#include "QD3DStorage.h"

/******************************************************************************
 **																			 **
 **								 Structures									 **
 **																			 **
 *****************************************************************************/
 
typedef	struct _texture	Texture, *TexturePtr, **TextureHdl;


/******************************************************************************
 **																			 **
 **								 Routines									 **
 **																			 **
 *****************************************************************************/
 
TextureHdl	Texture_New(
	void);
	
void		Texture_Dispose(
	TextureHdl		theTexture);

TQ3Status	Texture_SetResolution(
	TextureHdl		theTexture,
	long			newResolution);
	
long		Texture_GetResolution(
	TextureHdl		theTexture);


/*	
**	Use to use a pict as an editable texture
*/	
	
TQ3Status	Texture_SetPict(
	TextureHdl		theTexture,
	PicHandle		hPict);

/*	
**	Use to apply a texture to a group
*/	
	
TQ3Status	Texture_SetToGroup(
	TextureHdl		theTexture,
	TQ3GroupObject	theGroup) ;

/*	
**	Refresh the texture after making changes
*/	
	
TQ3Status	Texture_Update(
	TexturePtr 		theTexture);

/*	
**	Paint a black line using UV coordinates
*/	
	
void		Texture_PaintLineUV(
	TexturePtr 		theTexture,
	TQ3Param2D 		from,
	TQ3Param2D 		to);


#endif
