/******************************************************************************
 **									 										 **
 ** 	Module:		QD3DGestalt.h											 **						
 **									 										 **
 **									 										 **
 ** 	Purpose: 	Gestalt values for QuickDraw3D.							 **			
 **									 										 **
 **									 										 **
 **									 										 **
 ** 	Copyright (C) 1992-1997 Apple Computer, Inc.  All rights reserved.	 **
 **									 										 **
 **									 										 **
 *****************************************************************************/
 
/*******************************************************************************
These gestalt values are included in Gestalt.h from universal interfaces version 
3.0 and later.

The prefered method is to use the new version of Gestalt.h rather than this file.  
If you do not have universal interfaces 3.0 or later then you must include this 
file if you want access to these values.
*******************************************************************************/

#ifndef QD3DGestalt_h
#define QD3DGestalt_h

#ifndef QD3D_h
#include "QD3D.h"
#endif

#if defined(OS_MACINTOSH) && OS_MACINTOSH

enum {
	gestaltQD3DVersion		= 'q3v '	/* Quickdraw 3D version in pack BCD	*/
};

enum {
	gestaltQD3D				= 'qd3d',	/* Quickdraw 3D attributes			*/
	gestaltQD3DPresent		= 0			/* bit 0 set if QD3D available		*/
};

#if OLDROUTINENAMES
enum {
	gestaltQD3DNotPresent	= ( 0 << gestaltQD3DPresent ),
	gestaltQD3DAvailable	= ( 1 << gestaltQD3DPresent )
};
#endif

#endif  /*  OS_MACINTOSH  */

#endif /* QD3DGestalt_h */


