/******************************************************************************
 **									 										 **
 ** 	Module:		QD3DViewerGestalt.h										 **						
 **									 										 **
 **									 										 **
 ** 	Purpose: 	Gestalt values for QuickDraw3D Viewer.					 **			
 **									 										 **
 **									 										 **
 **									 										 **
 ** 	Copyright (C) 1992-1997 Apple Computer, Inc.  All rights reserved.	 **
 **									 										 **
 **									 										 **
 *****************************************************************************/
 
/*******************************************************************************
These gestalt values will be included in a future version of Gestalt.h from 
universal interfaces.

The prefered method is to use the newer version of Gestalt.h when it is 
available rather than this file.  
Until then you must include this file if you want access to these values.
*******************************************************************************/

#ifndef QD3DViewerGestalt_h
#define QD3DViewerGestalt_h

#ifndef QD3D_h
#include "QD3D.h"
#endif

#if defined(OS_MACINTOSH) && OS_MACINTOSH

enum {
	gestaltQD3DViewer			= 'q3vc',	/* Quickdraw 3D Viewer attributes		 */
	gestaltQD3DViewerPresent	= 0			/* bit 0 set if QD3D Viewer is available */
};

#if OLDROUTINENAMES
enum {
	gestaltQD3DViewerNotPresent	= ( 0 << gestaltQD3DViewerPresent ),
	gestaltQD3DViewerAvailable	= ( 1 << gestaltQD3DViewerPresent )
};
#endif

#endif  /*  OS_MACINTOSH  */

#endif /* QD3DViewerGestalt_h */

