/******************************************************************************
 **																			 **
 ** 	Module:		Error_Lib.h												 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 										 					 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1992, 1993 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef Error_Lib_h
#define Error_Lib_h

#if PRAGMA_ONCE
	#pragma once
#endif

#include "QD3DErrors.h"

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

/******************************************************************************
 **																			 **
 **							 Global (ugh!)								     **
 **																			 **
 *****************************************************************************/

extern FILE *gErrorFile;


/******************************************************************************
 **																			 **
 **							 Routines									     **
 **																			 **
 *****************************************************************************/

void InstallDefaultErrorHandler(
	void);
	
void InstallDefaultWarningHandler(
	void);
	
void InstallDefaultNoticeHandler(
	void);
	
char *ErrorString(
	TQ3Error error);
	
char *WarningString(
	TQ3Warning warning);
	
static char *NoticeString(
	TQ3Notice notice);
	
#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif /* Error_Lib_h */
