/******************************************************************************
 **																			 **
 ** 	Module:		PICTio.h												 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	Stuff							 						 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1991 Apple Computer, Inc.  All rights reserved.	 	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef PICTio_h
#define PICTio_h


#include <stdio.h>


#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */


/* These are the simple interfaces to read and write a PICT.
 * They return 0 on error.
 */

unsigned char *ErReadPICT(		/* Returns a pointer to the baseAddr */
	long 			*width, 	/* Returns the width of the image */
	long 			*height, 	/* Returns the height of the image */
	long 			*rowBytes, 	/* Returns the rowBytes of the image */
	FILE 			*fd			/* The I/O descriptor */
);

long ErWritePICT(
	unsigned char 	*baseAddr,	/* Pointer to {a,r,g,b},...{a,r,g,b} */
	long 			width, 		/* Width of the image */
	long 			height, 	/* Height of the image */
	long 			rowBytes, 	/* Distance from one line to the next */
	FILE 			*fd			/* The file descriptor */
);


/* These are useful for writing a PICT file a few lines at a time.
 * They return 0 on error.
 * buf points to a list of pixels organized as:
 * (a,r,g,b), (a,r,g,b), ...
 */
long StartWritePICT(
	long 			width, 
	long 			height, 
	FILE 			*fd);
	
long WritePICTLines(
	unsigned char 	*baseAddr, 
	long 			width, 
	long 			height, 
	long 			rowBytes, 
	FILE 			*fd);
	
long EndWritePICT(
	FILE 			*fd);


#ifdef __cplusplus
};
#endif	/* __cplusplus */

#endif	/*  PICTio_h  */
