/******************************************************************************
 **																			 **
 ** 	Module:		QDUtils.h												 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	Header for Ugly C Contest entry	 						 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1992-1994 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 	Change Log:															 **
 ** 	kmd		11/02/93	Removed references to PolygonNet primitive		 **
 **																			 **																			
 ** 	pjs		02/13/94	Placed macros controlling choice of Quickdraw	 **
 **							or GX for windows here, rather than in spin.c	 **
 **																			 **																			
 *****************************************************************************/
#ifndef QDUtils_h
#define QDUtils_h

#include <Quickdraw.h>
#include <QDOffscreen.h>

#ifdef __cplusplus
extern "C" {
#endif  /* __cplusplus  */

WindowPtr QDWindow_New(
	Str255				name,
	unsigned long		x,
	unsigned long		y,
	unsigned long		xSize, 
	unsigned long		ySize, 
	unsigned long		depth,
	TQ3Boolean			autoCenter);

GWorldPtr QDGWorld_New(
	unsigned long		xSize, 
	unsigned long		ySize, 
	unsigned long		depth);

void QDSwapBuffer(
	WindowPtr			qdWindow,
	GWorldPtr			qdGWorld);
	
void QDClearBackground(
	GWorldPtr	gWorld,
	TQ3ColorRGB	bgColor);

#ifdef __cplusplus
}
#endif  /* __cplusplus  */

#endif /* QDUtils_h */
