/*  PickOne_Support.h
																			
	Quickdraw 3D sample code
	
	This file contains utility routines for QuickDraw 3d sample code. This
	app shows how to apply a texture shader to an object.  Bear in mind
	that any object that you wish to texture map needs to have UV parameters
	applied.
																			
	Nick Thompson
	(c)1994-96 Apple computer Inc., All Rights Reserved								

*/

#ifndef _BOXPAINTSUPPORT_H_
#define _BOXPAINTSUPPORT_H_

/*  Macintosh System Stuff */
#include	<Windows.h>

/*  QuickDraw 3D stuff */
#include	"QD3D.h"
#include	"QD3DErrors.h"
#include	"QD3DView.h"

#include	"PickOne_document.h"

/* --------------------------------------------------------------------------------------- */

TQ3GroupObject MyNewModel();

void MyColorBoxFaces( TQ3BoxData *myBoxData );

TQ3GroupObject MyNewBox();
TQ3GroupObject MyNewCone();
TQ3GroupObject MyNewEllipsoid();

TQ3Status myAddMatrixTransformToGroup( TQ3GroupObject theGroup);
TQ3Status mySetGroupState(TQ3GroupObject theGroup);

TQ3ViewObject 	MyNewView(WindowPtr theWindow) ;
TQ3Status GetDocumentGroupBoundingBox( 
									TQ3ViewObject view,
									TQ3GroupObject	group, 
									TQ3BoundingBox *viewBBox);
TQ3Status ComputeCenterOfBoundingBox(TQ3BoundingBox *viewBBox,
									TQ3Point3D	*center);

#endif
