/*  document.h																			

	This contains all the document-specific code.
																					
	Michael Bishop - August 21 1996													
	Nick Thompson
	Robert Dierkes																				
	(c)1994-96 Apple computer Inc., All Rights Reserved								

*/


#ifndef _BP_DOCUMENT_H_
#define	_BP_DOCUMENT_H_

#include	<QuickDraw.h>

/*  for QuickDraw 3D */
#include	"QD3D.h"
#include	"QD3DPick.h"


typedef struct _documentRecord DocumentRec, *DocumentPtr, **DocumentHdl ;

/* -------------------------------------------------------------------------------------------
** 
*/

DocumentHdl		Document_New(void);
void			Document_Dispose( DocumentHdl theDocument) ;

TQ3CameraObject	Document_GetCamera(DocumentHdl	theDocument);

TQ3Status		Document_GetRendererPreferences(DocumentHdl	theDocument,
												long		*theVendorID,
												long		*theEngineID);
TQ3Status		Document_SetRendererPreferences(DocumentHdl	theDocument,
												long		theVendorID,
												long		theEngineID);

TQ3Status	Document_Open(DocumentHdl theDocument);
TQ3Status	Document_Save(DocumentHdl	theDocument);
TQ3Status	Document_Draw( DocumentPtr theDocument ) ;
TQ3Status	Document_Remap(DocumentHdl theDocument, int newResolution);
TQ3Status	Document_SubmitScene( DocumentPtr theDocument ) ;
void		Document_Idle(DocumentHdl theDocument);





TQ3Status ChangeGroupTransform (TQ3HitPath *path,
								TQ3Vector3D *translate);
void	Document_Rotate(DocumentHdl	theDocumentHdl,
							TQ3GroupObject	theGroup);
void Document_DoPickAndRotate( DocumentHdl pDocument);
TQ3TransformObject Document_GetGroupTransform(TQ3GroupObject	theGroup);								





#endif