/******************************************************************************\
																		
		Module:		IRS_Geometry.h											
																			
		Purpose: 	plug-in renderer for QD3D: geometry rendering								
																		
		Author:		Sun-Inn Shih										
																		
		Copyright (C) 1993-96 Apple Computer, Inc.  All rights reserved.	
																			
\*****************************************************************************/
#ifndef IRS_GEOMETRY_H
#define IRS_GEOMETRY_H

#include <QD3D.h>
#include <QD3DGeometry.h>
#include "IRShell.h"

/*
 *  IRS_Geometry_Triangle 
 */
TQ3Status IRS_Geometry_Triangle(
	TQ3ViewObject 		pView,
	irsData				*irsdata,
	TQ3GeometryObject	pGeom, 
	TQ3TriangleData		*pTriangleData);

/*
 *  IRS_Geometry_Line 
 */
TQ3Status IRS_Geometry_Line(
	TQ3ViewObject 		pView,
	irsData				*irsdata,
	TQ3GeometryObject	pGeom, 
	TQ3LineData			*pLineData);

/*
 *  IRS_Geometry_Point 
 */
TQ3Status IRS_Geometry_Point(
	TQ3ViewObject 		pView,
	irsData				*irsdata,
	TQ3GeometryObject 	pGeom, 
	TQ3PointData		*pPointData);
/*
 *  IRS_Geometry_Marker 
 */
TQ3Status IRS_Geometry_Marker(
	TQ3ViewObject 		pView,
	irsData				*irsdata,
	TQ3GeometryObject 	pGeom, 
	TQ3MarkerData		*pMarkerData);
/*
 *  IRS_Geometry_PixmapMarker 
 */
TQ3Status IRS_Geometry_PixmapMarker(
	TQ3ViewObject 		pView,
	irsData					*irsdata,
	TQ3GeometryObject 	pGeom, 
	TQ3PixmapMarkerData	*pPixmapMarkerData);
#endif