/******************************************************************************\
																		
		Module:		IRS_Methods.h											
																			
		Purpose: 	top level meta handler function for QD3D plug-in renderer								
																		
		Author:		Sun-Inn Shih									
																		
		Copyright (C) 1993-96 Apple Computer, Inc.  All rights reserved.	
																			
\*****************************************************************************/
#ifndef PF_METHODS_H
#define PF_METHODS_H

#include <QD3D.h>
#include <QD3DView.h>

#include "IRShell.h"

TQ3Status IRSNew(
	TQ3RendererObject		pRenderer,
	irsData					*irsdata,
	void					*pInitData);
	
void IRSDelete(
	TQ3RendererObject 		PerformRenderer,
	irsData					*irsdata);

TQ3Status IRSStartFrame(
	TQ3ViewObject			pView,
	irsData					*irsdata,
	TQ3DrawContextObject	pQD3DDrawContext);

TQ3Status IRSEndFrame(
	TQ3ViewObject			pView,
	irsData					*irsdata,
	TQ3DrawContextObject	pQD3DDrawContext);

TQ3Status IRSStartPass(
	TQ3ViewObject			pView,
	irsData					*irsdata,
	TQ3CameraObject			pCamera,
	TQ3GroupObject			pLightGroup);

TQ3ViewStatus IRSEndPass(
	TQ3ViewObject			pView,
	irsData					*irsdata);
	
void IRSCancel(
	TQ3ViewObject			 pView,
	irsData					*irsdata);
	
#endif /* PF_METHODS_H */
