/******************************************************************************
 **																			 **
 ** 	Module:		SR_Marker.h												 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	Private data types for markers							 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1996 Apple Computer, Inc. All rights reserved.	 	 **	
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef SR_Marker_h
#define SR_Marker_h

#include "QD3D.h"

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

typedef struct TSRMarkerRasterData {
	long				startRowSkip;
	long				endRowSkip; 
	long				startLineSkip;
	long				endLineSkip;
	TQ3Bitmap			*bitmap;
} TSRMarkerRasterData;

typedef struct TSRPixmapMarkerRasterData {
	long				startRowSkip;
	long				endRowSkip;
	long				startLineSkip;
	long				endLineSkip;
	TQ3StoragePixmap	*pixmap;
} TSRPixmapMarkerRasterData;

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif  /*  SR_Marker_h  */
