/*
 *
 *		Tumbler_globals.h
 *
 *		Global variables and constants.
 *		
 *
 *		Author:		Nick Thompson & Pablo Fernicola, with thanks to the QuickDraw 3D team
 *		Date:		Monday, January 20, 1992
 *
 *		Copyright  1992-95  Apple Computer, Inc.
 *
 */

#ifndef __globals_def

#define __globals_def
#include <Types.h>
#include <TextEdit.h>
#include <Controls.h>
#include <Files.h>
#include <CursorCtl.h>
#include <CursorDevices.h>
#include <Drag.h>
#include <Windows.h>
#include <ToolUtils.h>
#include <TextUtils.h>
#include <Dialogs.h>
#include <StandardFile.h>
#include <Errors.h>
#include <Menus.h>
#include <Scrap.h>
#include <Fonts.h>

#include <QuickDraw.h>
#include <QDOffscreen.h>

//#define ESCHER_VER_15	1

#include "QD3D.h"
#include "QD3DGroup.h"
#include "QD3DDrawContext.h"
#include "QD3DView.h"
#include "QD3DGroup.h"

/*
 *	Window Constants.
 */

#define	MaxDocumentCount		8

#define	InitialH				16
#define	InitialV				42

#define	TopMargin				6
#define	LeftMargin				6
#define	RightMargin				6
#define	BottomMargin			6

#define	ScrollResolution		12


/*
 *	File Constants.
 */

#define	FileCreator				'3dmf'
#define	FileType				'TEXT'




/*
 *	Global Variables.
 *
 *	If the flag _AllocateGlobals_ is defined then "extern" is defined as NULL.
 *	This makes the following definitions actually declare the variables,
 *	otherwise, the variables are declared as extern. This scheme allows all
 *	files to include this file to gain access to the program's global variables
 *	and also allows the main.c file to define them.
 */

#ifdef	_AllocateGlobals_
#define	extern
#endif

#include "Tumbler_Document.h"

extern	short			gQuit, gQuitting;
extern	short			gDocumentCount;
extern	DocumentPtr gDocumentList[MaxDocumentCount];
extern	short			gFontItem, gSizeItem;
extern	short			gInBackground;
extern	DocumentPtr gFrontDocument;
extern	short			gCanUndoDrag;
extern	WindowPtr		gUndoFrontmost, gLastFrontmost;

extern	Boolean			gUsingHardware ;		// since we do not currently have a way of 
												// determining the rasterizer being used, use this


#ifdef	_AllocateGlobals_
#undef	extern
#endif

#endif