//		Tumbler_main.c
//
//		main function for the Tumbler application
//
//		Author:		Nick Thompson & Pablo Fernicola, with thanks to the QuickDraw 3D team
//		Date:		Tuesday, January 14, 1992
//
//		Copyright  1992-95 Apple Computer, Inc., All Rights Reserved
//
//



#include <ToolUtils.h>

#define	_AllocateGlobals_

#include "Tumbler_globals.h"
#include "Tumbler_prototypes.h"

#include "Tumbler_AEVT.h"

#undef _AllocateGlobals_

#include "Tumbler_main.h"
#include "Tumbler_initialize.h"
#include "Tumbler_AEVT.h"
#include "Tumbler_event.h"
#include "Tumbler_podium.h"


#include "MyErrorHandler.h"

main(void)

{
	const short kNumMoreMasters = 10 ;
	
	InitializeToolbox();
	
	SetCursor(*GetCursor(watchCursor)) ;
	
#ifdef PODIUM_APP
	Podium_Init() ;	
#endif

	SplashSetUp() ;							// put up a pretty picture to while away the time
	
	InitializeAppStuff( kNumMoreMasters ) ;	// call maxApplZone and moremasters
	
	InitializeGlobals();					// init our app globals
	InitAEStuff();							// install our appleevent handlers
	SetupMenus();							// setup them menus
	
	// install the error & warning handler - these get called whenever
	// errors or warnings occur, which means we don't have to check so 
	// much, since the debugging version of the library will let 
	// you know about problems
	Q3Error_Register( MyErrorHandler, 0L );		
	Q3Warning_Register( MyWarningHandler, 0L );		

	
	SetCursor(&qd.arrow) ;					// set up the cursor to something useful
	
	SplashTearDown() ;						// get rid of the splash screen

	EventLoop();							// process events until the user quits

	DeallocateGlobals();
}
